Bug 1582882 - [abrt] PackageKit: solv_malloc(): packagekitd killed by SIGSEGV
Summary: [abrt] PackageKit: solv_malloc(): packagekitd killed by SIGSEGV
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: PackageKit
Version: 29
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Richard Hughes
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:3115c6af5dce2f07d046fc0e567...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-05-27 16:43 UTC by Mikhail
Modified: 2018-12-07 02:37 UTC (History)
5 users (show)

Fixed In Version: PackageKit-1.1.12-1.fc29
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-12-07 02:37:59 UTC


Attachments (Terms of Use)
File: backtrace (75.22 KB, text/plain)
2018-05-27 16:43 UTC, Mikhail
no flags Details
File: cgroup (184 bytes, text/plain)
2018-05-27 16:43 UTC, Mikhail
no flags Details
File: core_backtrace (10.81 KB, text/plain)
2018-05-27 16:43 UTC, Mikhail
no flags Details
File: cpuinfo (1.25 KB, text/plain)
2018-05-27 16:43 UTC, Mikhail
no flags Details
File: dso_list (7.19 KB, text/plain)
2018-05-27 16:43 UTC, Mikhail
no flags Details
File: environ (190 bytes, text/plain)
2018-05-27 16:43 UTC, Mikhail
no flags Details
File: limits (1.29 KB, text/plain)
2018-05-27 16:43 UTC, Mikhail
no flags Details
File: maps (33.24 KB, text/plain)
2018-05-27 16:43 UTC, Mikhail
no flags Details
File: mountinfo (3.90 KB, text/plain)
2018-05-27 16:43 UTC, Mikhail
no flags Details
File: open_fds (2.26 KB, text/plain)
2018-05-27 16:43 UTC, Mikhail
no flags Details
File: proc_pid_status (1.24 KB, text/plain)
2018-05-27 16:43 UTC, Mikhail
no flags Details
File: var_log_messages (3.60 KB, text/plain)
2018-05-27 16:43 UTC, Mikhail
no flags Details

Description Mikhail 2018-05-27 16:43:02 UTC
Version-Release number of selected component:
PackageKit-1.1.10-1.fc29

Additional info:
reporter:       libreport-2.9.5
backtrace_rating: 4
cmdline:        /usr/libexec/packagekitd
crash_function: solv_malloc
executable:     /usr/libexec/packagekitd
journald_cursor: s=6509dcf508904a06b75aee5013786042;i=929;b=8f4779c8694b4686ba023edd702903b6;m=19d2e68;t=56d0983089526;x=5fa2a649ae06e423
kernel:         4.17.0-0.rc6.git1.1.fc29.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            0

Potential duplicate: bug 1524117

Comment 1 Mikhail 2018-05-27 16:43:09 UTC
Created attachment 1442443 [details]
File: backtrace

Comment 2 Mikhail 2018-05-27 16:43:10 UTC
Created attachment 1442445 [details]
File: cgroup

Comment 3 Mikhail 2018-05-27 16:43:12 UTC
Created attachment 1442447 [details]
File: core_backtrace

Comment 4 Mikhail 2018-05-27 16:43:13 UTC
Created attachment 1442449 [details]
File: cpuinfo

Comment 5 Mikhail 2018-05-27 16:43:15 UTC
Created attachment 1442451 [details]
File: dso_list

Comment 6 Mikhail 2018-05-27 16:43:16 UTC
Created attachment 1442453 [details]
File: environ

Comment 7 Mikhail 2018-05-27 16:43:18 UTC
Created attachment 1442454 [details]
File: limits

Comment 8 Mikhail 2018-05-27 16:43:20 UTC
Created attachment 1442455 [details]
File: maps

Comment 9 Mikhail 2018-05-27 16:43:21 UTC
Created attachment 1442456 [details]
File: mountinfo

Comment 10 Mikhail 2018-05-27 16:43:23 UTC
Created attachment 1442457 [details]
File: open_fds

Comment 11 Mikhail 2018-05-27 16:43:24 UTC
Created attachment 1442458 [details]
File: proc_pid_status

Comment 12 Mikhail 2018-05-27 16:43:26 UTC
Created attachment 1442459 [details]
File: var_log_messages

Comment 13 Jan Kurik 2018-08-14 10:00:59 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 29 development cycle.
Changing version to '29'.

Comment 14 Kalev Lember 2018-11-28 08:58:19 UTC
This should hopefully be fixed in PackageKit 1.1.12 where we fixed a multithreading issue in DnfRepo handling that was likely causing this crash. If the crash is still reproducable after updating to 1.1.12, please reopen the ticket.

Comment 15 Fedora Update System 2018-11-28 09:00:42 UTC
PackageKit-1.1.12-1.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2018-c3dd0383fa

Comment 16 Fedora Update System 2018-11-29 03:16:34 UTC
PackageKit-1.1.12-1.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-c3dd0383fa

Comment 17 Fedora Update System 2018-12-07 02:37:59 UTC
PackageKit-1.1.12-1.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.